# -*- rpm-spec -*-
# $Id: ipac-ng,v 1.10 2002/11/26 13:33:06 grigory Exp $

%define wwwdir %_var/www
%define cgidir %wwwdir/cgi-bin

Summary: ipac-ng - IP accounting
Name: ipac-ng
Version: 1.24
Release: alt4
Copyright: GPL
Group: Networking/Other
URL: http://sourceforge.net/projects/%name/
Source: %name-%version.tar.bz2
Requires: apache iptables postgresql gdbm

# Automatically added by buildreq on Wed Oct 23 2002
BuildRequires: flex gdbm-devel ipchains iptables libssl postgresql-devel

%description
ipac is a package which is designed to gather, summarize and nicely
output the IP accounting data. ipac make summaries and graphs as ascii
text and/or images with graphs.

%prep
%setup -q -n %name-%version
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%_prefix \
	--mandir=%_mandir \
	--enable-classic=no \
	--enable-default-storage=postgre \
	--enable-detailed-logs=yes \
	--enable-auth-server=localhost

%build
%__make DESTDIR=%buildroot all

%install
%__make DESTDIR=%buildroot install
%__mkdir_p %buildroot{%_sysconfdir/%name,%cgidir,%wwwdir/html/stat,%_localstatedir/ipac}
%__install -m 644 contrib/sample_configs/%name/ipac.conf %buildroot%_sysconfdir/%name/ipac.conf
%__install -m 644 html/stat/index.html %buildroot%wwwdir/html/stat/index.html
%__install -m 644 html/cgi-bin/.htaccess %buildroot%cgidir/.htaccess
%__install -m 755 html/cgi-bin/* %buildroot%cgidir
touch %buildroot%_localstatedir/ipac/flag


%files
%doc CHANGES COPYING README README-NG README-NG.RUS TODO UPDATE contrib/* postgre.readme %name.sql
%dir %_localstatedir/ipac
%dir %cgidir
%dir /var/www/html/stat
%config %_sysconfdir/%name/ipac.conf
%attr(755,root,root)%_sbindir/ipacsum
%attr(755,root,root)%_sbindir/fetchipac
%attr(644,nobody,nobody)%wwwdir/html/stat/index.html
%attr(644,root,root)%cgidir/.htaccess
%attr(755,nobody,nobody)%cgidir/*
%attr(664,apache,nobody)%_localstatedir/ipac/flag
%_man8dir/*.8.*

%changelog
* Tue Nov 26 2002 Grigory Milev <week@altlinux.ru> 1.24-alt4
- rebuild with new libgdbm

* Thu Oct 24 2002 Grigory Milev <week@altlinux.ru> 1.24-alt3
- change rpm group

* Wed Oct 23 2002 Grigory Milev <week@altlinux.ru> 1.24-alt2
- rebuild with gcc3.2

* Mon Sep 30 2002 Grigory Milev <week@altlinux.ru> 1.24-alt1
- new version released

* Tue Apr  9 2002 Grigory Milev <week@altlinux.ru> 1.22-alt1
- new version released

* Fri Mar  1 2002 Grigory Milev <week@altlinux.ru> 1.21-alt1
- new version released
- build with default auth host=localhost, instead host name 
  of compiling host

* Thu Jan 24 2002 Grigory Milev <week@altlinux.ru> 1.16-alt1
- new version released

* Fri Jan  4 2002 Grigory Milev <week@altlinux.ru> 1.15-alt1
- ALT Linux adaptation

* Tue Nov 14 2001 Al Zaharov <kaiser13@mail2000.ru>
- placement of index.html file fixed
- installation of reconfig flag file added

* Mon Oct 15 2001 Al Zaharov <kaiser13@mail2000.ru>
- config file path fixed
- changed to use tmppath
- more requires added
- prereq's added
- ownership of .htaccess changed

* Thu Oct 04 2001 Alex Miller <asmm@canada.com>
- added cgi-bin utilities
- fixed description and %doc attributes

* Wed Oct 03 2001 Alex Miller <asmm@canada.com>
- started package with ipac-ng-1.11
